%define qtdir /usr/lib/qt3

Name: kio-apt
Version: 0.11
Release: alt3

Group: System/Configuration/Packaging
Summary: An apt:/ protocol in konqueror
License: GPL
URL: http://lpnotfr.free.fr

Requires: %{get_dep kdelibs}
Requires: apt

Source: %{name}_%{version}.tar.bz2
# ALT
Patch1: 0.11-autoconf.patch
Patch2: 0.11-flags.patch
Patch3: 0.11-fix-compile.patch
Patch4: 0.11-fix-compile-gcc3.4.patch

# Automatically added by buildreq on Thu May 06 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig
BuildRequires: freetype2 gcc-c++ kde-settings kdelibs-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer zlib-devel

%description
An apt:/ protocol in konqueror which provides apt-cache functionalities :
 - apt:/search?search_string
 - apt:/show?package
 - apt:/policy?package
   and a few rpm functionalities too:
 - apt:/list?package lists the file in a package
 - apt:/fsearch?file finds the package which owns the specified file
Any non-valid url including apt:/, shows a page with a query form
When a package is listed in the results, it is shown as an hyperlink.
When kpkgmanager is installed, it show install and remove buttons.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

#subst "s/\.la/.so/g" configure
#subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
%configure \
    --disable-static \
    --enable-shared \
    --disable-debug \
    --with-xinerama \
    --program-prefix="" \
    --disable-rpath \
    --with-pic \
    --without-arts \
    --with-rpm

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%_libdir/kde3/kio_apt.*
%_datadir/apps/kio_apt/
%_datadir/services/apt.protocol
%_datadir/services/searchproviders/apt-*.desktop

%changelog
* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt3
- rebuild with gcc3.4

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt2
- fix requires

* Thu May 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt1
-initial spec 
